%define wxbranch 2.8
%define ucode u
%def_enable unicode

%if_disabled unicode
%define ucode %{-E}
%endif

Name: wxGTK
Version: %wxbranch.6
Release: alt2

Summary: The GTK+ port of the wxWidgets library
License: wxWidgets License
Group: System/Libraries
Url: http://wxwidgets.org

Source: %name-%version.tar.gz
#Source: %name-2007-01-31.tar.bz2

# Automatically added by buildreq on Wed Sep 06 2006
BuildRequires: esound-devel fontconfig gcc-c++ libexpat-devel libgnomecanvas-devel libgnomeprint-devel libgnomeprintui-devel libjpeg-devel libpng-devel libSDL-devel libtiff-devel libXinerama-devel libXxf86vm-devel libmesa-devel

BuildPreReq: libstdc++4.1-devel-precompiled gcc4.1-c++

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs
(GTK+, Motif/LessTif, MS Windows, Mac) from the same source code.

This is a GTK+ port.

%package devel
Summary: Development files for wxGTK library
Group: Development/C++
Requires: %name = %version
Conflicts: wxGTK2-devel
Conflicts: wxGTK2u-devel

%description devel
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%package examples
Summary: wxGTK example programs
Group: Development/C++
Requires: %name-devel = %version

%description examples
wxGTK example programs.

%package contrib-stc
Summary: wxWidgets styled text control library
Group: System/Libraries       
Requires: %name = %version

%description contrib-stc
wxWidgets styled text control library.

%package contrib-stc-devel
Summary: Development files for wxWidgets styled text control library
Group: Development/C++
Requires: %name-contrib-stc = %version

%description contrib-stc-devel
Header files for wxWidgets styled text control library.

%package contrib-gizmos
Summary: wxWidgets cell and canvas layout objects
Group: System/Libraries       
Requires: %name = %version

%description contrib-gizmos
wxWidgets cell and canvas layout objects.

%package contrib-gizmos-devel
Summary: Development files for wxWidgets cell and canvas layout objects
Group: Development/C++
Requires: %name-contrib-gizmos = %version

%description contrib-gizmos-devel
Header files for wxWidgets cell and canvas layout objects.

%package contrib-ogl
Summary: wxWidgets object graphics library
Group: System/Libraries
Requires: %name = %version

%description contrib-ogl
wxWidgets' Object Graphics Library (OGL) is a C++ library supporting the
creation and manipulation of simple and complex graphic images on a canvas.

%package contrib-ogl-devel
Summary: Development files for wxWidgets object graphics library
Group: Development/C++
Requires: %name-contrib-ogl = %version

%description contrib-ogl-devel
Header files for wxWidgets object graphics library.

%prep
%setup -q
#__subst 's/wxstd/wxstd2%ucode/' src/common/intl.cpp
#__subst 's/wxstd/wxstd2%ucode/' locale/Makefile
#__subst 's/wxstd/wxstd2%ucode/' Makefile.in
%__subst "s,bakefile/presets,bakefile/presets-\$(WX_RELEASE),g" Makefile.in

%build
%configure --without-odbc \
	   --without-debug_flag \
	   --without-debug_info \
	   --with-opengl \
	   --disable-joystick \
	   --enable-plugins \
	   --enable-precomp-headers=yes \
	   --enable-compat26 \
	   --with-xresources \
	   --enable-optimise \
	   --enable-shared \
	   --enable-unicode \
	   --enable-gtk2=yes \
	   --enable-soname \
	   --with-gnomeprint \
	   --with-sdl \
	   --with-regex=sys

%make_build
cd contrib/src
%make_build

%install
%makeinstall
%__mkdir -p %buildroot%_datadir/wx/examples/src
%__cp -a demos samples %buildroot%_datadir/wx/examples
%__ln_s -f ../%_lib/wx/config/`ls %buildroot%_libdir/wx/config` %buildroot%_bindir/wx-config
%if "%wxbranch" < "2.5"
%__cp -a src/*.env %buildroot%_datadir/wx/examples/src
%__cp -a version-script %buildroot%_datadir/wx/examples
%__subst 's/${top_builddir}/\/usr/' %buildroot%_datadir/wx/examples/src/*
%__subst 's/$(top_builddir)\/lib/\/usr\/lib/' %buildroot%_datadir/wx/examples/src/makeprog.env
%endif

%find_lang wxstd2%ucode

cd contrib/src
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post contrib-stc -p %post_ldconfig
%postun contrib-stc -p %postun_ldconfig

%post contrib-gizmos -p %post_ldconfig
%postun contrib-gizmos -p %postun_ldconfig

%post contrib-ogl -p %post_ldconfig
%postun contrib-ogl -p %postun_ldconfig

%files -f wxstd2%ucode.lang
#doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt TODO.txt
%doc docs/* 
%dir %_datadir/bakefile
%_datadir/bakefile/*
%_libdir/libwx_base%{ucode}-%wxbranch.so.*
%_libdir/libwx_base%{ucode}_net-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_adv-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_aui-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_richtext-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_core-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_html-%wxbranch.so.*
#_libdir/libwx_gtk2%{ucode}_media-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_xrc-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_qa-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_fl-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_plot-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_svg-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_gl-%wxbranch.so.*
%if "%wxbranch" >= "2.5"
%_libdir/libwx_base%{ucode}_xml-%wxbranch.so.*
%endif

%files devel
%_bindir/*
%_libdir/libwx_base%{ucode}-%wxbranch.so
%_libdir/libwx_base%{ucode}_net-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_adv-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_core-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_html-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_aui-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_richtext-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_fl-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_plot-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_svg-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_gl-%wxbranch.so
%_libdir/wx/%{wxbranch}/sound_sdl-%{wxbranch}.so
#_libdir/libwx_gtk2%{ucode}_media-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_xrc-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_qa-%wxbranch.so
%if_enabled unicode
%_libdir/wx/config/gtk2-unicode-release-%wxbranch
%dir %_libdir/wx/include/gtk2-unicode-release-%wxbranch
%_libdir/wx/include/gtk2-unicode-release-%wxbranch/wx
%else
%_libdir/wx/config/gtk2-ansi-release-%wxbranch
%dir %_libdir/wx/include/gtk2-ansi-release-%wxbranch
%_libdir/wx/include/gtk2-ansi-release-%wxbranch/wx
%endif
%_datadir/aclocal/*.m4
%dir %_includedir/wx-%wxbranch
%dir %_includedir/wx-%wxbranch/wx
%_includedir/wx-%wxbranch/wx/generic
%_includedir/wx-%wxbranch/wx/gtk
%_includedir/wx-%wxbranch/wx/html
%_includedir/wx-%wxbranch/wx/protocol
%_includedir/wx-%wxbranch/wx/unix
%_includedir/wx-%wxbranch/wx/xrc
%_includedir/wx-%wxbranch/wx/*.h
%_includedir/wx-%wxbranch/wx/*.cpp
%_includedir/wx-%wxbranch/wx/aui
%_includedir/wx-%wxbranch/wx/richtext
%_includedir/wx-%wxbranch/wx/fl
%_includedir/wx-%wxbranch/wx/plot
%_includedir/wx-%wxbranch/wx/svg
%if "%wxbranch" >= "2.5"
%_includedir/wx-%wxbranch/wx/xml
%_libdir/libwx_base%{ucode}_xml-%wxbranch.so
%endif

%files contrib-stc
%_libdir/libwx_gtk2%{ucode}_stc-%wxbranch.so.*

%files contrib-stc-devel
%_libdir/libwx_gtk2%{ucode}_stc-%wxbranch.so
%_includedir/wx-%wxbranch/wx/stc

%files contrib-gizmos
%_libdir/libwx_gtk2%{ucode}_gizmos-%wxbranch.so.*
%_libdir/libwx_gtk2%{ucode}_gizmos_xrc-%wxbranch.so.*

%files contrib-gizmos-devel
%_libdir/libwx_gtk2%{ucode}_gizmos-%wxbranch.so
%_libdir/libwx_gtk2%{ucode}_gizmos_xrc-%wxbranch.so
%_includedir/wx-%wxbranch/wx/gizmos

%files contrib-ogl
%_libdir/libwx_gtk2%{ucode}_ogl-%wxbranch.so.*

%files contrib-ogl-devel
%_libdir/libwx_gtk2%{ucode}_ogl-%wxbranch.so
%_includedir/wx-%wxbranch/wx/ogl

%files examples
%_datadir/wx/examples

%changelog
* Tue Mar 18 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.6-alt2
-  rebuild without gnome-vfs (fix #14665).

* Wed Oct 03 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.6-alt1
-  2.8.6.

* Tue Jul 31 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.4-alt1
-  2.8.4.

* Mon Apr 16 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.3-alt1
-  2.8.3.

* Wed Jan 31 2007 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.1.cvs31012007-alt1
-  build cvs version (10x for stupid wxPython afftars);
-  enable compatibility for wxGTK 2.6.x (10x for stupid wxPython afftars);
-  build with OpenGL.

* Tue Dec 19 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.0-alt1
-  change name.

* Wed Nov 29 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.8.0rc1-alt1
-  2.8.0rc1.

* Thu Aug 31 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.7.01-alt1
-  2.7.0 testing release.

* Mon May 29 2006 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.6.3-alt1
-  2.6.3.

* Tue Dec 13 2005 Anton D. Kachalov <mouse@altlinux.org> 2.6.1-alt1.2
- multilib fix

* Thu Sep 15 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 2.6.1-alt1.1
-  rebuild with new libpango.

* Mon Jun 13 2005 Andrey Astafiev <andrei@altlinux.ru> 2.6.1-alt1
- 2.6.1 

* Sat May 07 2005 Andrey Astafiev <andrei@altlinux.ru> 2.6.0-alt2
- Added contrib-ogl. 

* Tue May 03 2005 Andrey Astafiev <andrei@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Apr 11 2005 Andrey Astafiev <andrei@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 2.5.4-alt2
- Added contib-gizmos.
- Added patch for compatibility with wxPython 2.5.4.1.

* Sat Feb 26 2005 Andrey Astafiev <andrei@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Thu Oct 28 2004 Andrey Astafiev <andrei@altlinux.ru> 2.5.3-alt2
- XRC files moved to main package.

* Wed Sep 15 2004 Andrey Astafiev <andrei@altlinux.ru> 2.5.3-alt1
- 2.5.3
- With this version of spec wxGTK will be built with gtk2 support.
- It is possible to build and install four different types of wxGTK.
- Dynamic linked libraries of any build version can coexists in system.
- Fixed build of examples.

* Sun Mar 28 2004 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.2-alt2
- Added XRC and STC libraries from contribs.
- Changed name from wxWindows to wxWidgets.

* Sun Sep 28 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.2-alt1
- 2.4.2

* Mon Aug 25 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.1-alt2
- Patched wxTooltip and wxToolbar.

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.1-alt1
- 2.4.1
- Some corrections taken from PLD spec:
  * Examples moved to separate package.
  * Added aclocal file.

* Wed Mar 05 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt3
- Some spec corrections taken from Yuri Sedunov's unstable version.
- Fixed wxGTK-devel package group.
- Removed OpenGL support.

* Thu Jan 16 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt2
- Some minor spec changes (thanks to Oleg Gints).

* Mon Jan 13 2003 Andrey Astafiev <andrei@altlinux.ru> 1:2.4.0-alt1
- 2.4.0.

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 1:2.2.9-alt1
- Rollback to stable branch 2.2.x.
- 2.2.9.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.1-alt1
- new version

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.2.7-alt1
- new version

* Tue Apr 03 2001 Rider <rider@altlinux.ru> alt2
- bugfix

* Tue Apr 03 2001 Rider <rider@altlinux.ru> alt1
- 2.2.6

* Sun Dec 17 2000 AEN <aen@logic.ru>
- adopted for RE

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-1mdk
- initial specfile
- bzip sources
